Bug 508442 - default mixer setting too low on Intel 82801I (ICH9 Family) HDA [8086:293e]
default mixer setting too low on Intel 82801I (ICH9 Family) HDA [8086:293e]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2009-06-27 04:53 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2010-06-28 09:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of alsa-info (28.29 KB, text/plain)
2009-06-27 04:55 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details
amixer output with default settings (3.56 KB, text/plain)
2009-06-27 04:56 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details
amixer output after manually changing volume (3.56 KB, text/plain)
2009-06-27 04:56 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2009-06-27 04:53:34 EDT
Description of problem:
Sound output through pulseaudio to builtin laptop speakers is too low -- when set to maximum sound is audible, but should be higher.

Pushing 'speaker' setting through alsamixer fixes the problem. Sound played through pulseaudio has a much higher maximum, yet mutes when reducing level to 0. 

Version-Release number of selected component (if applicable):
alsa-utils-1.0.20-3.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64

lscpi:
00:1b.0 0403: 8086:293e (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
        Subsystem: Hewlett-Packard Company Device 30f4
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 22
        Region 0: Memory at df000000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel
Comment 1 Zbigniew Jędrzejewski-Szmek 2009-06-27 04:55:21 EDT
Created attachment 349640 [details]
Output of alsa-info
Comment 2 Zbigniew Jędrzejewski-Szmek 2009-06-27 04:56:06 EDT
Created attachment 349641 [details]
amixer output with default settings
Comment 3 Zbigniew Jędrzejewski-Szmek 2009-06-27 04:56:56 EDT
Created attachment 349642 [details]
amixer output after manually changing volume
Comment 4 Gustavo Maciel Dias Vieira 2009-09-09 17:57:47 EDT
I have the same hardware and the same problem. The "speaker" mixer control must be maxed for sound to be audible.

However, maybe this is more complicated than only setting sane defaults. Even with "speaker" maxed, I get no sound at about 50% of the master control. This is bad because I lose "resolution" when setting the sound, it gets too loud too fast. I was not able to fix this using alsa mixer controls.

Anyway, this may be unrelated. Sane defaults would surely help.
Comment 5 Gustavo Maciel Dias Vieira 2009-09-10 09:42:58 EDT
For me, this appears to have been fixed in the alsa-lib-1.0.21-3.fc11.x86_64 update. As far as "alsactl init" allows me to test it.

Zbyszek, can you check it?
Comment 6 Zbigniew Jędrzejewski-Szmek 2009-09-12 07:34:15 EDT
Nope, alsa-lib-1.0.21-3 doesn't seem to work:

# rpm -q alsa-lib
alsa-lib-1.0.21-3.fc12.x86_64

#alsactl init
Unknown hardware: "HDA-Intel" "Nvidia MCP78 HDMI" "HDA:111d76b2,103c30f6,00100302 HDA:10de0006,10de0101,00100000" "0x103c" "0x30f4"
Hardware is initialized using a guess method

And the guess gives 'speaker' at 50% as before.
Comment 7 Gustavo Maciel Dias Vieira 2009-09-25 12:35:57 EDT
Yes, you are right. What I have observed is that "alsactl init" doesn't touch the speaker control. If it is at x%, it stays there. So, maybe the problem is that there isn't a default value defined for this control.
Comment 8 Zbigniew Jędrzejewski-Szmek 2009-09-26 05:48:35 EDT
(In reply to comment #7)
> Yes, you are right. What I have observed is that "alsactl init" doesn't touch
> the speaker control. If it is at x%, it stays there. So, maybe the problem is
> that there isn't a default value defined for this control.  

Actually here "alsactl init" does touch 'speaker': when I run it, it sets 'speaker' actually to exactly 58%.
Comment 9 Bug Zapper 2010-04-27 11:17:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 09:19:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.